'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var index = require('../../table/index.js');
var index$1 = require('../../mg-pagination/index.js');
require('../../../utils/index.js');
require('../../../hooks/index.js');
var constant = require('./constant.js');
var pluginVue_exportHelper = require('../../../_virtual/plugin-vue_export-helper.js');
var index$2 = require('../../../hooks/use-namespace/index.js');
var types = require('../../../utils/types.js');

const _sfc_main = vue.defineComponent({
  name: "MgTable",
  components: {
    ElTable: index.ElTable,
    ElTableColumn: index.ElTableColumn,
    MgPagination: index$1.MgPagination
  },
  props: constant["default"],
  setup(props) {
    const ns = index$2.useNamespace("table", vue.ref("mg"));
    const elTableRef = vue.ref();
    return {
      ns,
      elTableRef,
      isUndefined: types.isUndefined,
      DefaultPageCfgLayout: constant.DefaultPageCfgLayout
    };
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_table_column = vue.resolveComponent("el-table-column");
  const _component_el_table = vue.resolveComponent("el-table");
  const _component_mg_pagination = vue.resolveComponent("mg-pagination");
  return vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
    vue.createVNode(_component_el_table, vue.mergeProps(_ctx.$attrs, {
      ref: "elTableRef",
      border: _ctx.borderType !== "default",
      class: [
        _ctx.ns.b(),
        {
          [_ctx.ns.m("outer-border")]: _ctx.borderType === "outer"
        }
      ]
    }), {
      default: vue.withCtx(() => [
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.cfg, (item) => {
          return vue.openBlock(), vue.createElementBlock(vue.Fragment, {
            key: item.prop
          }, [
            _ctx.isUndefined(item.slotKey) ? (vue.openBlock(), vue.createBlock(_component_el_table_column, vue.normalizeProps(vue.mergeProps({ key: 0 }, item)), null, 16)) : vue.renderSlot(_ctx.$slots, item.slotKey, { key: 1 })
          ], 64);
        }), 128))
      ]),
      _: 3
    }, 16, ["border", "class"]),
    vue.createVNode(_component_mg_pagination, vue.mergeProps({
      border: "",
      class: [_ctx.ns.m("page")]
    }, {
      layout: _ctx.DefaultPageCfgLayout,
      ..._ctx.pageCfg
    }), null, 16, ["class"])
  ], 64);
}
var MyTable = /* @__PURE__ */ pluginVue_exportHelper["default"](_sfc_main, [["render", _sfc_render], ["__file", "/Users/chenghsu/Documents/bty/bty-element/packages/components/mg-table/src/mg-table.vue"]]);

exports["default"] = MyTable;
//# sourceMappingURL=mg-table.js.map
